package com.yanzhu.jh.project.domain;

import com.alibaba.fastjson2.JSONObject;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 劳务实名制管理对象 sur_project_attendance_data
 * 
 * @author ruoyi
 * @date 2023-09-24
 */
public class SurProjectAttendanceData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 配置项ID,可以获取项目ID和总包ID */
    @Excel(name = "配置项ID,可以获取项目ID和总包ID")
    private Long cfgid;

    /** 厂商编号参考字典attendance_vendors */
    @Excel(name = "厂商编号参考字典attendance_vendors")
    private String vendorsCode;

    /** 服务端ID */
    @Excel(name = "服务端ID")
    private Long serverid;

    /** 工人Id */
    @Excel(name = "工人Id")
    private Long workerId;

    /** 进门还是出门E进，L出 */
    @Excel(name = "进门还是出门E进，L出")
    private String attendanceType;

    /** 考勤时间yyyy-MM-dd HH:mm:ss */
    @Excel(name = "考勤时间yyyy-MM-dd HH:mm:ss")
    private String attendanceTime;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String identification;

    /** 队伍id */
    @Excel(name = "队伍id")
    private Long teamId;

    /** 工种编码 */
    @Excel(name = "工种编码")
    private String workTypeCode;

    /** 分包商id */
    @Excel(name = "分包商id")
    private Long companyId;

    /** 平台对应分包商ID */
    @Excel(name = "平台对应分包商ID")
    private Long vendorId;

    /** 新旧系统项目标识0：新系统项目； 1：旧系统项目 */
    @Excel(name = "新旧系统项目标识0：新系统项目； 1：旧系统项目")
    private Long projectType;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceCode;

    /** 作业面Id */
    @Excel(name = "作业面Id")
    private String workPointId;

    /** 照片 */
    @Excel(name = "照片")
    private String scanPhoto;

    /** 服务返回的JSON */
    @Excel(name = "服务返回的JSON")
    private String other;

    /**  */
    @Excel(name = "")
    private Long state;

    /**  */
    @Excel(name = "")
    private Long isDel;

    private Long projectId;
    private Long subDeptId;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    private Long deptId;
    private String companyTypeId;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getSubDeptId() {
        return subDeptId;
    }

    public void setSubDeptId(Long subDeptId) {
        this.subDeptId = subDeptId;
    }

    public String getCompanyTypeId() {
        return companyTypeId;
    }

    public void setCompanyTypeId(String companyTypeId) {
        this.companyTypeId = companyTypeId;
    }

    public static SurProjectAttendanceData create(JSONObject json) {
        SurProjectAttendanceData d=new SurProjectAttendanceData();
        d.attendanceTime=json.getString("time");
        d.attendanceType=json.getString("type");
        d.serverid=json.getLong("id");
        d.workerId=json.getLong("workerId");
        d.identification=json.getString("identification");
        d.teamId=json.getLong("teamId");
        d.workTypeCode=json.getString("workTypeCode");
        d.companyId=json.getLong("companyId");
        d.vendorId=json.getLong("vendorId");
        d.projectType=json.getLong("projectType");
        d.deviceCode=json.getString("deviceCode");
        d.workPointId=json.getString("workPointId");
        d.scanPhoto=json.getString("scanPhoto");
        //d.other=json.toJSONString();
        d.state=0l;
        d.isDel=0l;
        return  d;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgid(Long cfgid) 
    {
        this.cfgid = cfgid;
    }

    public Long getCfgid() 
    {
        return cfgid;
    }
    public void setVendorsCode(String vendorsCode) 
    {
        this.vendorsCode = vendorsCode;
    }

    public String getVendorsCode() 
    {
        return vendorsCode;
    }
    public void setServerid(Long serverid) 
    {
        this.serverid = serverid;
    }

    public Long getServerid() 
    {
        return serverid;
    }
    public void setWorkerId(Long workerId) 
    {
        this.workerId = workerId;
    }

    public Long getWorkerId() 
    {
        return workerId;
    }
    public void setAttendanceType(String attendanceType) 
    {
        this.attendanceType = attendanceType;
    }

    public String getAttendanceType() 
    {
        return attendanceType;
    }
    public void setAttendanceTime(String attendanceTime) 
    {
        this.attendanceTime = attendanceTime;
    }

    public String getAttendanceTime() 
    {
        return attendanceTime;
    }
    public void setIdentification(String identification) 
    {
        this.identification = identification;
    }

    public String getIdentification() 
    {
        return identification;
    }
    public void setTeamId(Long teamId) 
    {
        this.teamId = teamId;
    }

    public Long getTeamId() 
    {
        return teamId;
    }
    public void setWorkTypeCode(String workTypeCode) 
    {
        this.workTypeCode = workTypeCode;
    }

    public String getWorkTypeCode() 
    {
        return workTypeCode;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setVendorId(Long vendorId) 
    {
        this.vendorId = vendorId;
    }

    public Long getVendorId() 
    {
        return vendorId;
    }
    public void setProjectType(Long projectType) 
    {
        this.projectType = projectType;
    }

    public Long getProjectType() 
    {
        return projectType;
    }
    public void setDeviceCode(String deviceCode) 
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() 
    {
        return deviceCode;
    }
    public void setWorkPointId(String workPointId) 
    {
        this.workPointId = workPointId;
    }

    public String getWorkPointId() 
    {
        return workPointId;
    }
    public void setScanPhoto(String scanPhoto) 
    {
        this.scanPhoto = scanPhoto;
    }

    public String getScanPhoto() 
    {
        return scanPhoto;
    }
    public void setOther(String other) 
    {
        this.other = other;
    }

    public String getOther() 
    {
        return other;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgid", getCfgid())
            .append("vendorsCode", getVendorsCode())
            .append("serverid", getServerid())
            .append("workerId", getWorkerId())
            .append("attendanceType", getAttendanceType())
            .append("attendanceTime", getAttendanceTime())
            .append("identification", getIdentification())
            .append("teamId", getTeamId())
            .append("workTypeCode", getWorkTypeCode())
            .append("companyId", getCompanyId())
            .append("vendorId", getVendorId())
            .append("projectType", getProjectType())
            .append("deviceCode", getDeviceCode())
            .append("workPointId", getWorkPointId())
            .append("scanPhoto", getScanPhoto())
            .append("other", getOther())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
